## EDU.oswego.cs.dl.util.concurrent
Interface ThreadFactory

All Known Implementing Classes:
  ThreadFactoryUser.DefaultThreadFactory

    public interface ThreadFactory

Interface describing any class that can generate new Thread objects. Using ThreadFactories removes hardwiring of calls to `new Thread`, enabling applications to use special thread subclasses, default prioritization settings, etc.

[ Introduction to this package. ]

Method Summary
`java.lang.Thread` `newThread(java.lang.Runnable command)` Create a new thread that will run the given command when started

Method Detail

### newThread

    java.lang.Thread newThread(java.lang.Runnable command)

  Create a new thread that will run the given command when started